Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class ResourceComputationScheduler.ShutdownStatus

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.ShutdownStatus

Enclosing class:
  `ResourceComputationScheduler<T>`

public static class ResourceComputationScheduler.ShutdownStatus extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceComputationScheduler.ShutdownStatus`
`STARTED`
`static final ResourceComputationScheduler.ShutdownStatus`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`ResourceComputationScheduler.ShutdownState`
`getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STARTED

public static final ResourceComputationScheduler.ShutdownStatus STARTED

### SUCCESS

public static final ResourceComputationScheduler.ShutdownStatus SUCCESS

## Method Details

### getCause

public Throwable getCause()

### getState

public ResourceComputationScheduler.ShutdownState getState()